package com.hzya.frame.grpU8.nxproof.oerannex.dao.impl;/*
* @Description 附件关系表
* @Author xiangerlin 
  @Date 2022-10-26 10:05
*/



import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.grpU8.nxproof.oerannex.dao.IOerAnnexDao;
import com.hzya.frame.grpU8.nxproof.oerannex.entity.OerAnnexEntity;
import com.hzya.frame.grpU8.nxproof.oerdjml.entity.OerDjmlEntity;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public class OerAnnexDaoImpl extends MybatisGenericDao<OerAnnexEntity, String> implements IOerAnnexDao {
    @DS("#entity.dataSourceCode")
    @Override
    public Integer deleteAnnex(OerAnnexEntity entity) {
        Integer o = super.delete( "com.hzya.frame.grpU8.nxproof.oerannex.entity.OerAnnexEntity.OerAnnexEntity_delete", entity);
        return o;
    }

    @DS("#entity.dataSourceCode")
    @Override
    public OerAnnexEntity queryMaxId(OerAnnexEntity entity) {
        OerAnnexEntity o = super.query(entity,"com.hzya.frame.grpU8.nxproof.oerannex.entity.OerAnnexEntity.OerAnnexEntity_max_id");
        return o;
    }

    @DS("#entity.dataSourceCode")
    @Override
    public Integer saveData(OerAnnexEntity entity) {
        Integer o = super.insert("com.hzya.frame.grpU8.nxproof.oerannex.entity.OerAnnexEntity.OerAnnexEntity_insert",entity);
        return o;
    }
}
